Subject: Re: [Hipsec] API draft

From: Miika Komu <[email-masked]>
Date: Wed, 16 Jan 2008 12:18:16 +0200 (EET)

On Tue, 4 Dec 2007, Andrew McGregor wrote:

Hi,

I have edited the draft to be more coherent with RFC5014 and also RFC3484 
based on comments from Andrew. The draft naturally includes the previous 
comments from Thomas. The next preversion is here:

http://www.iki.fi/miika/docs/draft-ietf-hip-native-api-04-pre3.txt

Looking forward for feedback regarding to new sections 4.4 and 4.6 on 
HIT-based source address selection. Andrew and Tom, could you take a look 
especially at the section 4.6? Tom, I am also waiting for feedback on the 
other thread on this mailing list.

> I have a question: is this draft coherent in the presence of RFC 5014? 
> Should there be a few values defined to fit into the RFC 5014 framework?
>
> Andrew
>
> On 22/08/2007, at 4:33 AM, Gonzalo Camarillo wrote:
>
>> Folks,
>> 
>> a few months ago, we had some discussions about the API draft. Miika 
>> contacted the APPS area folks and got some feedback from them. With that 
>> feedback, he has generated a new revision of the draft:
>> 
>> http://www.ietf.org/internet-drafts/draft-ietf-hip-native-api-02.txt
>> 
>> The discussions with the APPS area folks are documented at:
>> 
>> http://www1.ietf.org/mail-archive/web/discuss/current/msg00496.html
>> 
>> http://www1.ietf.org/mail-archive/web/discuss/current/msg00755.html
>> 
>> 
>> I would like people to have a look at this draft and send comments to the 
>> list. Note that our plan was, and still is, to have this draft ready for 
>> publication request by the end of the year.
>> 
>> There were also discussions on producing a more long-term API at some 
>> point... but that may fall under the scope of the RG instead.
>> 
>> Cheers,
>> 
>> Gonzalo
>> HIP co-chair
>> 
>> _______________________________________________
>> Hipsec mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/hipsec
>> 
>
>
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hipsec

-- 
Miika Komu                                       http://www.iki.fi/miika/

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Andrew McGregor <[email-masked]>
Date: Fri, 18 Jan 2008 12:56:28 +1300

That looks like as minimal as you can get and still support everything  
necessary.  Well done.  I believe 3484 and 5014 made it a lot  
simpler.  4.6 looks completely correct, the precedences make sense.

Note: I haven't read for editorial nits, only content.

Andrew

On 16/01/2008, at 11:18 PM, Miika Komu wrote:

> I have edited the draft to be more coherent with RFC5014 and also  
> RFC3484 based on comments from Andrew. The draft naturally includes  
> the previous comments from Thomas. The next preversion is here:
>
> Looking forward for feedback regarding to new sections 4.4 and 4.6  
> on HIT-based source address selection. Andrew and Tom, could you  
> take a look especially at the section 4.6? Tom, I am also waiting  
> for feedback on the other thread on this mailing list.
>
>> I have a question: is this draft coherent in the presence of RFC  
>> 5014? Should there be a few values defined to fit into the RFC 5014  
>> framework?
>>
>> Andrew
>>
>>> a few months ago, we had some discussions about the API draft.  
>>> Miika contacted the APPS area folks and got some feedback from  
>>> them. With that feedback, he has generated a new revision of the  
>>> draft:
>>> I would like people to have a look at this draft and send comments  
>>> to the list. Note that our plan was, and still is, to have this  
>>> draft ready for publication request by the end of the year.
>>> There were also discussions on producing a more long-term API at  
>>> some point... but that may fall under the scope of the RG instead.
>>> Cheers,
>>> Gonzalo
>>> HIP co-chair